Subject: Re: Service disciplines for RSVP 7/08/95 7/11/95 08:14:29

From: [email-masked]
Date: Tue, 11 Jul 95 22:33 EDT

Roch wrote:
> In the case of a rate controlled service discipline,
		   ^^^^^^^^^^^^^^^
> it is not clear to me if letting packets go out early on an idle
> link would actually trigger greated load variations and, therefore,
> worsen jitter.  My first guess tells me that it may, but I'll need
> to think more about it.
> Roch

While I do not know what Roch means exactly by 'trigger greater load', sending
packets early will cause more jitter, whether or not the scheduling discipline
is "rate controlled" (actually, when Hui Zhang and I came up with the term 
rate-controlled, we meant exactly that packets are NOT sent early,
even if the line is idle). If packets can be sent early, it is easy 
to construct a pathological case where one packet experiences 0 queueing 
delay, and the next one experiences HD, where there are H hops, and D is the 
delay bound for each hop. In the case where packets are sent only 
at their appointed time (rate controlled), the best and worst case delay
is HD, so that the delay jitter is 0.

The crux of the matter, it seems to me, is whether we want to have
a zero jitter and have all packets arrive with HD delay, or whether
we want to have a possibly much lower mean delay, but deal with
a delay jitter of HD, and larger buffer sizes downstream. Not that we have 
to make a hard choice in the design - it is quite easy to construct hybrid 
disciplines that offer users a choice (variants of HRR or RCSP will do this).

keshav